%global         py3pi_name    pymc3

Name:           python-pymc
Version:        3.5
Release:        %mkrel 7
Group:          Sciences/Mathematics
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL
Url:            https://github.com/pymc-devs/pymc3
Source0:        https://github.com/pymc-devs/pymc3/archive/%{py3pi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  locales-en

%description
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.


%package -n python3-pymc
Summary:        Python3 implementation of PyMC
Group:          Sciences/Mathematics
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py
BuildRequires:  python3-pkg-resources
%{?python_provide:%python_provide python3-pymc}


%description -n python3-pymc
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.


%prep
%setup -q -n %{py3pi_name}-%{version}


%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
pushd %{_builddir}/%{py3pi_name}-%{version}
%py3_build
popd

%install
pushd %{_builddir}/%{py3pi_name}-%{version}
%py3_install
popd

%files -n python3-pymc
%doc LICENSE README.rst
%{python3_sitelib}/%{py3pi_name}
%{python3_sitelib}/%{py3pi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.5-7.mga8
+ Revision: 1535664
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 daviddavid <daviddavid> 3.5-6.mga8
+ Revision: 1452670
- make it noarch
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 tmb <tmb> 3.5-5.mga7
+ Revision: 1355259
- rebuild for python 3.7

* Thu Jan 10 2019 shlomif <shlomif> 3.5-4.mga7
+ Revision: 1354304
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.5-3.mga7
+ Revision: 1300571
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 eatdirt <eatdirt> 3.5-2.mga7
+ Revision: 1252234
- Upgrade to version 3.5, with python2 supports

* Mon Sep 11 2017 tv <tv> 2.3.6-3.mga7
+ Revision: 1152745
- rebuild for new libgfortran

* Sat Aug 05 2017 pterjan <pterjan> 2.3.6-2.mga7
+ Revision: 1135576
- Rebuild for python 3.6

* Fri Dec 16 2016 eatdirt <eatdirt> 2.3.6-1.mga6
+ Revision: 1075724
- Fix missing BR to locales-en
- export LANG to fix python3 built failure
- Upgrade to version 2.3.6 + adding python3 build

* Fri Feb 05 2016 umeabot <umeabot> 2.2-9.mga6
+ Revision: 937386
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 tv <tv> 2.2-8.mga6
+ Revision: 898701
- BR python-numpy-f2py
- BR blas-devel + lapack-devel

* Wed Oct 15 2014 umeabot <umeabot> 2.2-7.mga5
+ Revision: 743590
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2-6.mga5
+ Revision: 729465
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2-5.mga5
+ Revision: 688263
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2-3.mga4
+ Revision: 543972
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2-2.mga4
+ Revision: 499237
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 463079
- add gfortran
- add numpy build requires
- imported package python-pymc

